# MCP Tools Reference: compute.googleapis.com

## Tool: `reset_instance`

Resets a Google Compute Engine virtual machine (VM) instance. Requires project, zone, and instance name as input. Proceed only if there is no error in response and the status of the operation is `DONE` without any errors. To get details of the operation, use the `get_zone_operation` tool.

The following sample demonstrate how to use `curl` to invoke the `reset_instance` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://compute.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "reset_instance", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for resetting an instance.

### McpResetInstanceRequest

| JSON representation |
|---|
| ``` { "project": string, "zone": string, "name": string } ``` |

| Fields ||
|---|---|
| `project` | `string` Required. Project ID for this request. |
| `zone` | `string` Required. The zone of the instance. |
| `name` | `string` Required. Identifier. The instance name. |

## Output Schema

Response message for resetting an instance.

### McpResetInstanceResponse

| JSON representation |
|---|
| ``` { "operationName": string } ``` |

| Fields ||
|---|---|
| `operationName` | `string` The operation name of the instance reset. |

### Tool Annotations

Destructive Hint: ✅ \| Idempotent Hint: ❌ \| Read Only Hint: ❌ \| Open World Hint: ❌